return function(B, H)
return {
	-- Structured motions:
	[B.M.forward] = 'ctrl+meta+f',
	[B.M.backward] = 'ctrl+meta+b',
	[B.M.forward_down] = 'ctrl+meta+d',
	[B.M.backward_up] = 'ctrl+meta+u',
	[B.M.forward_up] = 'ctrl+meta+n',
	[B.M.backward_down] = 'ctrl+meta+p',
	[B.M.para_down] = 'ctrl+meta+e',
	[B.M.para_up] = 'ctrl+meta+a',
	[B.M.end_of_sentence] = 'meta+e',
	[B.M.beginning_of_sentence] = 'meta+a',
	[B.M.next_finish_float] = 'meta+f',
	[B.M.prev_start_float] = 'meta+b',
	[B.M.next_section] = {['ctrl+x'] = ']'},
	[B.M.prev_section] = {['ctrl+x'] = '['},
	-- Structured selections:
	[B.T.mark_sexp] = 'ctrl+meta+ ',
	[B.T.mark_defun] = {'meta+h', 'ctrl+meta+h'},
	[B.T.expand_region] = false,
	-- Structured deletions:
	[B.I.kill_sexp] = 'ctrl+meta+k',
	[B.I.cut] = 'ctrl+w',  -- backward-kill-sexp
	[B.I.kill_sentence] = 'meta+k',
	[B.I.backward_kill_sentence] = {['ctrl+x'] = '\b'},
	[B.I.forward_kill_word] = 'meta+d',
	[B.I.backward_kill_word] = 'meta+\b',
	[B.I.kill] = 'ctrl+k',
	[B.I.backward_kill_line] = {['meta+0'] = 'ctrl+k'},
	-- Structured operators:
	[B.I.split_sexp] = 'meta+S',
	[B.I.join_sexps] = 'meta+J',
	[B.I.forward_barf] = 'ctrl+left',
	[B.I.forward_slurp] = 'ctrl+right',
	[B.I.backward_barf] = 'ctrl+meta+right',
	[B.I.backward_slurp] = 'ctrl+meta+left',
	[B.I.raise_sexp] = 'meta+r',
	[B.I.convolute_sexp] = 'meta+?',
	[B.I.splice_sexp] = 'meta+s',
	[B.I.wrap_round] = 'meta+(',
	[B.I.wrap_square] = false,
	[B.I.wrap_curly] = false,
	[B.I.meta_doublequote] = 'meta+"',
	[B.I.wrap_comment] = 'meta+;',
	[B.I.transpose_sexps] = 'ctrl+meta+t',
	[B.I.transpose_words] = 'meta+t',
	[B.I.splice_sexp_killing_forward] = 'meta+down',
	[B.I.splice_sexp_killing_backward] = 'meta+up',
	-- General operators:
	[B.I.forward_delete] = {'ctrl+d', 'del'},
	[B.I.backward_delete] = '\b',
	[B.I.copy] = 'meta+w',
	[H.A.paste_reindent] = 'ctrl+y',
	[buffer.undo] = 'ctrl+_',
	[buffer.redo] = {['ctrl+g'] = 'ctrl+_'},
	[B.I.reindent_defun] = 'meta+q',
	[B.I.transpose_chars] = 'ctrl+t',
	[B.I.open_next_line] = 'meta+\n',
	[buffer.char_right] = 'ctrl+f',
	[buffer.char_left] = 'ctrl+b',
	[buffer.line_down] = 'ctrl+n',
	[buffer.line_up] = 'ctrl+p',
	[buffer.line_end] = 'ctrl+e',
	[buffer.home] = 'ctrl+a',
	[buffer.document_end] = 'meta+>',
	[buffer.document_start] = 'meta+<',
	[B.M.back_to_indentation] = 'meta+m',
	[buffer.swap_main_anchor_caret] = {['ctrl+x'] = 'ctrl+x'},
	[B.I.close_and_newline] = {'meta+)', 'meta+]', 'meta+}'},
	[B.I.eval_defun] = 'ctrl+meta+x',
	[B.I.eval_last_sexp] = {['ctrl+x'] = 'ctrl+e'},
}
end
